//
//  webRtcMsgModel.h
//
//
//  Created by David on 2024/9/2.
//

#import "SuperModel.h"

NS_ASSUME_NONNULL_BEGIN

@interface webRtcMsgSignallingModel : SuperModel //信令服务对象 (推流)
@property (nonatomic, copy) NSString *port;//端口
@property (nonatomic, copy) NSString *domainName;//地址
@end
@interface webRtcMsgTurnModel : SuperModel //turn服务对象 （ice）
@property (nonatomic, copy) NSString *port;//端口
@property (nonatomic, copy) NSString *domainName;//地址
@end

@interface webRtcMsgDataModel : SuperModel

@property (nonatomic, copy) NSString *sn;//SN
@property (nonatomic, copy) NSString *uniqueIdentifier;//唯一标识符
@property (nonatomic, copy) NSString *cpuSerialNum;//CPU 序列号
@property(nonatomic, strong) webRtcMsgSignallingModel*signalling;
@property(nonatomic, strong) webRtcMsgTurnModel*turn;
@end
 
@interface webRtcMsgModel : SuperModel
@property(nonatomic, strong) webRtcMsgDataModel*data;
@end

NS_ASSUME_NONNULL_END
